use dialoguer::Select;
use dialoguer::theme::ColorfulTheme;

fn main() {
    let items = vec!["foo", "bar", "baz"];

    let selection = Select::with_theme(&ColorfulTheme::default())
        .with_prompt("What do you choose?")
        .items(&items)
        .default(0)
        .clear(true)
        .report(false)
        .interact()
        .unwrap();

    println!("You chose: {}", items[selection]);
}
